# `@toptal/davinci-bootstrap`

Bootstraps scaffolding/skeleton applications or parts of the monorepo with everything necessary and according to Toptal guidelines to start working as soon as possible.

### Usage

In your project run `yarn add @toptal/davinci-bootstrap`.

#### Commands

- [`new`](./docs/new.md): creates a new app project
- [`new-app`](./docs/new-app.md): creates a new monorepo app project
- [`new-lib`](./docs/new-lib.md): creates a new monorepo library project

### IDE Tooling

This package can be used directly in your IDE through these extensions

- [IntelliJ Suite (WebStorm, RubyMine, IDEA)](https://github.com/zaguiini/intellij-davinci-plugin)
- [VSCode](https://github.com/borisyordanov/vscode-supercharge-react)

### Development

If you want to test locally the generation of a new app - you can run

```
node ./davinci/packages/bootstrap/bin/davinci-bootstrap.js new [app-name]
```

and a new application will be generated in `[app-name]` directory.
